Page MenuHomePhabricator

[Epic] Improve search metrics and dashboards
Open, NormalPublic

Description

This epic encompasses a multi-phase improvement effort to increase the accuracy of search metrics and the dashboards that present them. The phases include:

  1. Improve current dashboards: review current metrics for accuracy and documentation, and address sampling issues
  2. Identify and add new metrics that capture user intent via user survey mechanisms and dig into second-try search metrics (e.g. did you mean suggestions)
  3. Review dashboards again, determine whether new metrics should be more broadly applied, and remove unnecessary metrics
  4. Add new metrics to track back-end errors, interleaved A/B test results, Go box analysis, second-try and suggestions, and sub-metrics within those

Event Timeline

EBjune created this task.Jun 13 2018, 3:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 3:54 PM
debt triaged this task as Normal priority.Jun 13 2018, 4:24 PM
debt updated the task description. (Show Details)
mpopov added a subscriber: mpopov.
JKatzWMF moved this task from Triage to Tracking on the Product-Analytics board.Jun 14 2018, 8:13 PM
Vvjjkkii renamed this task from [Epic] Improve search metrics and dashboards to 92aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 92aaaaaaaa to [Epic] Improve search metrics and dashboards.Jul 2 2018, 12:24 PM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Nuria added a subscriber: Nuria.Feb 4 2019, 10:11 PM

Change 504577 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[operations/puppet@production] profile::discovery_dashboards: remove Wikipedia Portal dashboard

https://gerrit.wikimedia.org/r/504577

Change 504649 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/golden@master] Spring cleaning and fixes

https://gerrit.wikimedia.org/r/504649

Change 504649 merged by Bearloga:
[wikimedia/discovery/golden@master] Spring cleaning and fixes

https://gerrit.wikimedia.org/r/504649

Change 504577 merged by Gehel:
[operations/puppet@production] profile::discovery_dashboards: remove Wikipedia Portal dashboard

https://gerrit.wikimedia.org/r/504577